> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/apiv2/send-message",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Send Message

> Send an external message to the TON network.



## OpenAPI

````yaml post /api/v3/message
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/message:
    post:
      tags:
        - Api/v2
      summary: Send Message
      description: Send an external message to the TON network.
      operationId: api_v3_post_v2_message
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V2SendMessageRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2SendMessageResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    V2SendMessageRequest:
      type: object
      properties:
        boc:
          type: string
    V2SendMessageResult:
      type: object
      properties:
        message_hash:
          type: string
        message_hash_norm:
          type: string
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string

````